require 'fluent/plugin/filter'

module Fluent::Plugin
  class SplitStringFilter < Fluent::Plugin::Filter
    Fluent::Plugin.register_filter('split_string', self)

    def filter_stream(tag, event_stream)
      new_event_stream = Fluent::MultiEventStream.new

      event_stream.each do |time, record|
        record["message"].split('\n').each do |line|
          new_event_stream.add(time, record.merge({"message" => line}))
        end
      end

      new_event_stream
    end
  end
end
